Package org.springframework.cglib.core

# Class DebuggingClassWriter

java.lang.Object
org.springframework.asm.ClassVisitor
org.springframework.cglib.core.DebuggingClassWriter

public class DebuggingClassWriter extends ClassVisitor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEBUG_LOCATION_PROPERTY`

### Fields inherited from class org.springframework.asm.ClassVisitor

`api, cv`

## Constructor Summary

Constructors
Constructor
Description
`DebuggingClassWriter(int flags)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
`String`
`getSuperName()`
`byte[]`
`toByteArray()`
`void`
`visit(int version, int access, String name, String signature, String superName, String[] interfaces)`
Visits the header of the class.

### Methods inherited from class org.springframework.asm.ClassVisitor

`getDelegate, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitModule, visitNestHost, visitNestMember, visitOuterClass, visitPermittedSubclass, visitRecordComponent, visitSource, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEBUG_LOCATION_PROPERTY

public static final String DEBUG_LOCATION_PROPERTY

See Also:
  - Constant Field Values

## Constructor Details

### DebuggingClassWriter

public DebuggingClassWriter(int flags)

## Method Details

### visit

public void visit(int version, int access, String name, String signature, String superName, String[] interfaces)
Description copied from class: `ClassVisitor`
Visits the header of the class.

Overrides:
  `visit` in class `ClassVisitor`
Parameters:
  `version` - the class version. The minor version is stored in the 16 most significant bits, and the major version in the 16 least significant bits.
  `access` - the class's access flags (see `Opcodes`). This parameter also indicates if the class is deprecated `Opcodes.ACC_DEPRECATED` or a record `Opcodes.ACC_RECORD`.
  `name` - the internal name of the class (see `Type.getInternalName()`).
  `signature` - the signature of this class. May be null if the class is not a generic one, and does not extend or implement generic classes or interfaces.
  `superName` - the internal of name of the super class (see `Type.getInternalName()`). For interfaces, the super class is `Object`. May be null, but only for the `Object` class.
  `interfaces` - the internal names of the class's interfaces (see `Type.getInternalName()`). May be null.

### getClassName

public String getClassName()

### getSuperName

public String getSuperName()

### toByteArray

public byte[] toByteArray()